// MFNode.C

#include "xrml.H"
#include "file.H"

PoolImpl(MFNode)

namespace xrml {

MFNode *MFNode::instantiate(class Proto *master)
{
  MFNode *instance = new MFNode(*this);
  for (int i=0; i<size; i++) {
    (*instance)[i] = s[i]->instantiate(master); 
  }
  return instance;
}

void MFNode::render(void)
{
  for (int i=0; i<size; i++) { 
    s[i]->render(); 
  }
}

} // namespace xrml

